Bug 191997 - post-upgrade, cups-1.2.0-1.1 fails to print most IPP jobs
post-upgrade, cups-1.2.0-1.1 fails to print most IPP jobs
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
Blocks: FC6Target
  Show dependency treegraph
Reported: 2006-05-16 14:49 EDT by Joe Christy
Modified: 2009-11-23 10:25 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.2.1-1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-23 18:13:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
excerpt from /var/log/cups/error_log, with LogLevel set to debug (18.45 KB, text/plain)
2006-05-16 14:49 EDT, Joe Christy
no flags Details
ethereal packet capture of successful printing from a2ps (37.08 KB, text/plain)
2006-05-16 14:51 EDT, Joe Christy
no flags Details
ethereal packet capture of unsuccessful printing from man -t (5.87 KB, text/plain)
2006-05-16 14:52 EDT, Joe Christy
no flags Details
debug2 log of failed job (58.99 KB, text/plain)
2006-05-17 11:20 EDT, Joe Christy
no flags Details
debug2 log of successful job (56.22 KB, text/plain)
2006-05-17 11:29 EDT, Joe Christy
no flags Details

  None (edit)
Description Joe Christy 2006-05-16 14:49:06 EDT
Description of problem:
New CUPS fails to print to a known good IPP printer in most circumstances

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. send a job to printer from any app except: a) test page from
system-config-printer, or b) a2ps. I.E. Try to print from acroread, firefox,
thunderbird, man -t | lpr, ...,  etc.

Actual results:
Nothing gets printed, cups reports:

(/usr/lib/cups/backend/ipp) stopped with status 1

and stops queue

Expected results:
something prints & cups leaves queue turned on

Additional info:
After yum upgrade this morning printing stopped working.

I am printing using IPP to a Xerox Phaser 8400DP. The failure happens using the
PPD file from Xerox's support site, imported into cups. I have been using this
PPD and identical configuration of CUPS for over two years, since FC3 and its
old version of cups. It also occurs using the CUPS generic PostScript driver,
which has also worked in the past.

Based on past experience, I removed the printer from my CUPS configuration and
restarted the cups service, then, using system-config-printer, imported the
Xerox supplied PPD file, and finally added the printer. I have also edited the
CUPS config to use generic Postscript driver with the same results.

To eliminate  as much variation as possible, I've used the results from
man -t cupsd.conf | lpr
as my failure test case. Directing the output of man -t to a file and then
netcat-ing it directly to port 9100 of the printer does print, but this doesn't
allow me access to any of the features of the printer.

I have turned on debugging in /etc/cupsd.conf and captured both the CUPS logs
and network traffic (using ethereal) corresponding to a) successful printing
using the command "a2ps .sig.pub" and b) the typical, unsuccessful printing
using "man -t cupsd.conf | lpr". I will attach an excerpt from the (not very
revealing) /var/log/cups/error_log, and subsequently the mush more revealing
packet captures.
Comment 1 Joe Christy 2006-05-16 14:49:06 EDT
Created attachment 129256 [details]
excerpt from /var/log/cups/error_log, with LogLevel set to debug
Comment 2 Joe Christy 2006-05-16 14:51:13 EDT
Created attachment 129257 [details]
ethereal packet capture of successful printing from a2ps
Comment 3 Joe Christy 2006-05-16 14:52:14 EDT
Created attachment 129258 [details]
ethereal packet capture of unsuccessful printing from man -t
Comment 4 Tim Waugh 2006-05-17 06:45:00 EDT
Please turn on 'debug2' logging, as follows.  Edit /etc/cups/cupsd.conf and
change the 'LogLevel' line to read:

  LogLevel debug2

Then stop cups:

  /sbin/service cups stop

Clear out the error_log:


Then start cups again:

  /sbin/service cups start

Try your print job, and when it fails attach the /var/log/cups/error_log file
here.  Thanks.
Comment 5 Joe Christy 2006-05-17 11:20:05 EDT
Created attachment 129327 [details]
debug2 log of failed job
Comment 6 Joe Christy 2006-05-17 11:29:50 EDT
Created attachment 129331 [details]
debug2 log of successful job
Comment 7 Joe Christy 2006-05-17 11:35:15 EDT
Methodology: check that queue is up, stop cups, clear error log, start cups,
send job, stop cups, send log.

man -t cupsd.conf | lpr fails
a2ps .sig succeeds.

One more data point - printing from OpenOffice.org also fails; still haven't
found any further apps that succcessfully print.
Comment 8 Tim Waugh 2006-05-17 12:02:19 EDT
Reported upstream:

Comment 9 Joe Christy 2006-05-20 12:49:47 EDT
When rebuilt with the additional patch
http://cups.org/strfiles/1704/str1704.patch from upstream,
cups-1.2.0-1.3.src.rpm from updates-testing no longer exhibits the failures.

I'd suggest rolling the upstream patch str1704.patch into a new cups when it
moves from updates-testing to updates.
Comment 10 Tim Waugh 2006-05-21 05:41:47 EDT
cups-1.2.0-1.4 (shortly to appear in updates-testing) contains this fix.  Thanks
for helping out.
Comment 11 Milan Kerslager 2006-05-21 11:16:36 EDT
I'm unable to print from RHEL3 to FC5 printer shared by IPP so not only sending
but receiving too has been broken in IPP subsystem. Updating to cups-1.2.0-1.4
solves the problem.

I'm voting to move this update from testing to regular updates.
Comment 12 Tim Waugh 2006-05-21 12:23:38 EDT
Milan: thanks for confirming the fix.  There are a couple more fixes I'd like to
get in first.
Comment 13 Erik Pedersen 2006-05-22 19:36:15 EDT
I have the same problem after update. lpstat -p gives 
printer epson disabled since Mon 22 May 2006 07:30:41 AM EDT -
        Unable to open USB device "usb:/dev/usb/lp0": Permission denied
Comment 14 Tim Waugh 2006-05-23 04:26:41 EDT
Erik: your problem is different; it uses the usb backend, not the ipp backend. 
Please file a separate bug report.
Comment 15 Fedora Update System 2006-05-23 14:40:21 EDT
Fixed in 1.2.1-1.2.

Note You need to log in before you can comment on or make changes to this bug.